# SourcePath: diffutils/20050116dev
Summary: File comparison utilities
%if "%{sony_target_lib_name}" == "sslibc"
Name: sony-target-srel-diffutils
%define pkgname %{sony_target_config}-srel-diffutils
%else
Name: sony-target-grel-diffutils
%define pkgname %{sony_target_config}-grel-diffutils
%endif
Version: 2.8.1
Release: 040501
License 	: GPL2

Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/diffutils
Source: diffutils-%{version}.tar.gz
Patch0: diffutils-sslibc.patch
Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_cross_target_dir}

%define _docdir	%{sony_cross_target_dir}%{sony_target_rel_doc_dir}

%description
The diff package provides the diff, diff3, sdiff, and cmp programs.

`diff' shows differences between two files, or each corresponding file
in two directories.  `cmp' shows the offsets and line numbers where
two files differ.  `cmp' can also show all the characters that
differ between the two files, side by side.  `diff3' shows differences
among three files.  `sdiff' merges two files interactively.

The set of differences produced by `diff' can be used to distribute
updates to text files (such as program source code) to other people.
This method is especially useful when the differences are small compared
to the complete files.  Given `diff' output, the `patch' program can
update, or "patch", a copy of the file.

%package -n %{pkgname}
Summary: File comparison utilities
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The diff package provides the diff, diff3, sdiff, and cmp programs.

`diff' shows differences between two files, or each corresponding file
in two directories.  `cmp' shows the offsets and line numbers where
two files differ.  `cmp' can also show all the characters that
differ between the two files, side by side.  `diff3' shows differences
among three files.  `sdiff' merges two files interactively.

The set of differences produced by `diff' can be used to distribute
updates to text files (such as program source code) to other people.
This method is especially useful when the differences are small compared
to the complete files.  Given `diff' output, the `patch' program can
update, or "patch", a copy of the file.

%prep

%setup -n diffutils-%{version}

%if "%{sony_target_lib_name}" == "sslibc"
%patch0 -p1
%endif
# %patch1 -p1


%build
%sony_target_rel_setup

#autoconf
#export CC="$CC -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE"
%sony_target_rel_configure

make all | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_rel_setup

mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_prefix}
mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_bin_dir}

%sony_target_rel_makeinstall | tee -a build.log

rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_info_dir}
rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_man_dir}
rm -rf %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/cmp

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
#%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/cmp
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/diff
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/diff3
%{sony_cross_target_dir}%{sony_target_rel_bin_dir}/sdiff

%changelog
* Thu Jul 6 2006 Sony Corporation
- rel glibc support

* Fri Jun 16 2006 Sony Corporation
- modify Release 020001 -> 020101

* Mon Mar 06 2006 Sony Corporation - rel-diff
- Initial build.
